﻿Type=Service
Version=1.55
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	Dim rv As RemoteViews
	Dim imageFiles() As String
	imageFiles = Array As String("player_button_next.png", "player_button_pause.png", _
		"player_button_play.png", "player_button_stop.png")
	Dim currentImage As Int
End Sub
Sub Service_Create
	'Set the widget to update every 60 minutes.
	rv = ConfigureHomeWidget("L1", "rv", 60, "Hello Widget 4x2")
End Sub

Sub Service_Start (StartingIntent As Intent)
	rv.HandleWidgetEvents(StartingIntent)
End Sub

Sub rv_RequestUpdate
	SetTime
	rv.UpdateWidget
End Sub

Sub rv_Disabled
	StopService("")
End Sub

Sub Service_Destroy

End Sub

Sub SetTime
	rv.SetText("Label1", DateTime.Time(DateTime.Now))
End Sub

Sub ImageView1_Click
	currentImage = (currentImage + 1) Mod imageFiles.Length
	rv.SetImage("ImageView1", LoadBitmap(File.DirAssets, imageFiles(currentImage)))
	rv.SetProgress("ProgressBar1", 100 * (currentImage + 1) / imageFiles.Length)
	SetTime
	rv.UpdateWidget
End Sub


